Bug 42396 - gdm source patch #30 removes last session saving
gdm source patch #30 removes last session saving
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-26 20:58 EDT by Seth Vidal
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-26 21:14:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2001-05-26 20:58:36 EDT
Description of Problem:

source patch #30 to gdm removes the ability for last session to be saved.
its really quite annoying. the last session is a useful feature.

all in all you allow language saving from gdm but not last session.
and the patch gives almost no explanation as to why - neither does the
changelog in the spec file - which is even more annoying.

all I really want is an explanation - there might be a good reason that I'm
not seeing - but if there is no explanation then I'd like to see this
feature re-enabled in the next gdm package y'all release.


thanks
Comment 1 Havoc Pennington 2001-05-27 00:14:44 EDT
I have no real idea why it was removed - it was done two years ago apparently.
Maybe it just doesn't work right or was buggy or someone thought there were
security issues.

We'll be moving to the new mostly-rewritten gdm-2.2 instead of this ancient
beta, which will no doubt address this issue and a lot of other ones. 
There's finally an active upstream maintainer who's merged our fixes when
appropriate and is moving gdm forward.
We've been gingerly trying to keep this old gdm package limping along (as you
can see from all the patches, it's in sad shape). I'll be happy to see it die. ;-)

Anyhow, this current version only exists because its nature is well-known, and
as soon as we have time for QA we intend to swap versions, so I'm going to close
the bug rather than risk touching the fragile house of cards that is
gdm-2.0beta4. ;-)
Comment 2 Seth Vidal 2001-05-27 00:21:09 EDT
I know y'all won't have an answer but are there plans to release a new gdm
package that doesn't suck BEFORE 7.2?

I was using ximian's build of gdm for rhl 6.2 which included the aforementioned
feature and I'd like to have it back w/o having to install their packages.

Comment 3 Havoc Pennington 2001-05-27 13:25:44 EDT
It will probably show up in rawhide, if not an official errata/update.

Note You need to log in before you can comment on or make changes to this bug.